parameters:
    paths:
        - "src"
        - "tests"

    sets:
        - 'dead-code'
        - 'code-quality'
        - 'coding-style'
        - 'nette-utils-code-quality'

    exclude_rectors:
        - 'Rector\DeadCode\Rector\Class_\RemoveUnusedDoctrineEntityMethodAndPropertyRector'
        - 'Rector\SOLID\Rector\ClassMethod\UseInterfaceOverImplementationInConstructorRector'

    exclude_paths:
        - 'src/Model/Translatable/TranslatableMethodsTrait.php'
